<Div class="top-bar">
    <h1>Calculateur de budget</h1>
</Div>

<section class="total-budget-section">
    <h2 [ngClass]="{ 'green': totalBalance > 0, 'red': totalBalance < 0 }">{{totalBalance}} €</h2>
</section>

<section class="add-item-section">
    <div class="add-item-container">
        <app-add-item-form style="padding: 15px;"
                           (formSubmit)="addItem($event)"></app-add-item-form>
    </div>
</section>

<hr style="margin-top: 0;">

<app-budget-item-list [budgetItems]="budgetItems"
                      (delete)="removeItem($event)"
                      (update)="updateItem($event)"></app-budget-item-list>
